---
wsId: exscudo
title: Crypto & Bitcoin Wallet App
altTitle: 
authors:
- kiwilamb
users: 100000
appId: com.exscudo.channels
appCountry: ru
released: 2018-05-17
updated: 2022-05-19
version: 3.4.1159
stars: 4.5
ratings: 659
reviews: 30
size: 82M
website: https://fintap.app
repository: 
issue: 
icon: com.exscudo.channels.png
bugbounty: 
meta: ok
verdict: nosource
date: 2021-04-22
signer: 
reviewArchive: 
twitter: ex_scudo
social:
- https://www.facebook.com/exscudo
- https://www.reddit.com/r/EXSCUDO
redirect_from: 

---

The Play Store description states...

> All funds are fully protected and no one except the owner can access them.

the provider is claiming the wallet is non-custodial.
However no source code can be found in a public repository for validation.

Our verdict: This ‘wallet’ claims to be non-custodial, however with no source code this is **not verifiable**.

